Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/invites-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/invites-loop.php	(revision 9787)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/invites-loop.php	(revision 9788)
@@ -16,5 +16,12 @@
 <div class="main-column">
 
-	<?php do_action( 'bp_before_group_send_invites_list' ); ?>
+	<?php
+
+	/**
+	 * Fires before the display of the group send invites list.
+	 *
+	 * @since BuddyPress (1.1.0)
+	 */
+	do_action( 'bp_before_group_send_invites_list' ); ?>
 
 	<?php if ( bp_group_has_invites( bp_ajax_querystring( 'invite' ) . '&per_page=10' ) ) : ?>
@@ -47,10 +54,24 @@
 				<span class="activity"><?php bp_group_invite_user_last_active(); ?></span>
 
-				<?php do_action( 'bp_group_send_invites_item' ); ?>
+				<?php
+
+				/**
+				 * Fires inside the invite item listing.
+				 *
+				 * @since BuddyPress (1.1.0)
+				 */
+				do_action( 'bp_group_send_invites_item' ); ?>
 
 				<div class="action">
 					<a class="button remove" href="<?php bp_group_invite_user_remove_invite_url(); ?>" id="<?php bp_group_invite_item_id(); ?>"><?php _e( 'Remove Invite', 'buddypress' ); ?></a>
 
-					<?php do_action( 'bp_group_send_invites_item_action' ); ?>
+					<?php
+
+					/**
+					 * Fires inside the action area for a send invites item.
+					 *
+					 * @since BuddyPress (1.1.0)
+					 */
+					do_action( 'bp_group_send_invites_item_action' ); ?>
 				</div>
 			</li>
@@ -84,5 +105,12 @@
 	<?php endif; ?>
 
-<?php do_action( 'bp_after_group_send_invites_list' ); ?>
+<?php
+
+/**
+ * Fires after the display of the group send invites list.
+ *
+ * @since BuddyPress (1.1.0)
+ */
+do_action( 'bp_after_group_send_invites_list' ); ?>
 
 </div><!-- .main-column -->
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/request-membership.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/request-membership.php	(revision 9787)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/request-membership.php	(revision 9788)
@@ -1,3 +1,10 @@
-<?php do_action( 'bp_before_group_request_membership_content' ); ?>
+<?php
+
+/**
+ * Fires before the display of the group membership request form.
+ *
+ * @since BuddyPress (1.1.0)
+ */
+do_action( 'bp_before_group_request_membership_content' ); ?>
 
 <?php if ( !bp_group_has_requested_membership() ) : ?>
@@ -8,5 +15,12 @@
 		<textarea name="group-request-membership-comments" id="group-request-membership-comments"></textarea>
 
-		<?php do_action( 'bp_group_request_membership_content' ); ?>
+		<?php
+
+		/**
+		 * Fires after the textarea for the group membership request form.
+		 *
+		 * @since BuddyPress (1.1.0)
+		 */
+		do_action( 'bp_group_request_membership_content' ); ?>
 
 		<p><input type="submit" name="group-request-send" id="group-request-send" value="<?php esc_attr_e( 'Send Request', 'buddypress' ); ?>" />
@@ -16,3 +30,10 @@
 <?php endif; ?>
 
-<?php do_action( 'bp_after_group_request_membership_content' ); ?>
+<?php
+
+/**
+ * Fires after the display of the group membership request form.
+ *
+ * @since BuddyPress (1.1.0)
+ */
+do_action( 'bp_after_group_request_membership_content' ); ?>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/requests-loop.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/requests-loop.php	(revision 9787)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/requests-loop.php	(revision 9788)
@@ -25,5 +25,12 @@
 				<span class="activity"><?php bp_group_request_time_since_requested(); ?></span>
 
-				<?php do_action( 'bp_group_membership_requests_admin_item' ); ?>
+				<?php
+
+				/**
+				 * Fires inside the groups membership request list loop.
+				 *
+				 * @since BuddyPress (1.1.0)
+				 */
+				do_action( 'bp_group_membership_requests_admin_item' ); ?>
 
 				<div class="action">
@@ -33,5 +40,12 @@
 					<?php bp_button( array( 'id' => 'group_membership_reject', 'component' => 'groups', 'wrapper_class' => 'reject', 'link_href' => bp_get_group_request_reject_link(), 'link_title' => __( 'Reject', 'buddypress' ), 'link_text' => __( 'Reject', 'buddypress' ) ) ); ?>
 
-					<?php do_action( 'bp_group_membership_requests_admin_item_action' ); ?>
+					<?php
+
+					/**
+					 * Fires inside the list of membership request actions.
+					 *
+					 * @since BuddyPress (1.1.0)
+					 */
+					do_action( 'bp_group_membership_requests_admin_item_action' ); ?>
 
 				</div>
Index: /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php
===================================================================
--- /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php	(revision 9787)
+++ /trunk/src/bp-templates/bp-legacy/buddypress/groups/single/send-invites.php	(revision 9788)
@@ -1,3 +1,10 @@
-<?php do_action( 'bp_before_group_send_invites_content' ); ?>
+<?php
+
+/**
+ * Fires before the send invites content.
+ *
+ * @since BuddyPress (1.1.0)
+ */
+do_action( 'bp_before_group_send_invites_content' ); ?>
 
 <?php
@@ -36,3 +43,10 @@
 <?php endif; ?>
 
-<?php do_action( 'bp_after_group_send_invites_content' ); ?>
+<?php
+
+/**
+ * Fires after the send invites content.
+ *
+ * @since BuddyPress (1.2.0)
+ */
+do_action( 'bp_after_group_send_invites_content' ); ?>