Index: trunk/src/bp-activity/bp-activity-notifications.php
===================================================================
--- trunk/src/bp-activity/bp-activity-notifications.php	(revision 9819)
+++ trunk/src/bp-activity/bp-activity-notifications.php	(revision 9833)
@@ -37,5 +37,5 @@
  * @uses do_action() To call the 'bp_activity_sent_mention_email' hook
  *
- * @param int $activity_id The ID of the activity update.
+ * @param int $activity_id      The ID of the activity update.
  * @param int $receiver_user_id The ID of the user who is receiving the update.
  */
@@ -114,5 +114,5 @@
 		 * @since BuddyPress (1.2.0)
 		 *
-		 * @param string $subject Email notification subject text.
+		 * @param string $subject     Email notification subject text.
 		 * @param string $poster_name Name of the person who made the @mention.
 		 */
@@ -124,8 +124,8 @@
 		 * @since BuddyPress (1.2.0)
 		 *
-		 * @param string $message Email notification message text.
-		 * @param string $poster_name Name of the person who made the @mention.
-		 * @param string $content Content of the @mention.
-		 * @param string $message_link URL permalink for the activity message.
+		 * @param string $message       Email notification message text.
+		 * @param string $poster_name   Name of the person who made the @mention.
+		 * @param string $content       Content of the @mention.
+		 * @param string $message_link  URL permalink for the activity message.
 		 * @param string $settings_link URL permalink for the user's notification settings area.
 		 */
@@ -140,8 +140,8 @@
 	 * @since BuddyPress (1.5.0)
 	 *
-	 * @param BP_Activity_Activity $activity Activity Item object.
-	 * @param string               $subject Email notification subject text.
-	 * @param string               $message Email notification message text.
-	 * @param string               $content Content of the @mention.
+	 * @param BP_Activity_Activity $activity         Activity Item object.
+	 * @param string               $subject          Email notification subject text.
+	 * @param string               $message          Email notification message text.
+	 * @param string               $content          Content of the @mention.
 	 * @param int                  $receiver_user_id The ID of the user who is receiving the update.
 	 */
@@ -174,7 +174,9 @@
  * @uses do_action() To call the 'bp_activity_sent_reply_to_reply_email' hook
  *
- * @param int $comment_id The comment id.
- * @param int $commenter_id The ID of the user who posted the comment.
- * @param array $params {@link bp_activity_new_comment()}
+ * @param int   $comment_id   The comment id.
+ * @param int   $commenter_id The ID of the user who posted the comment.
+ * @param array $params       {@link bp_activity_new_comment()}
+ *
+ * @return bool
  */
 function bp_activity_new_comment_notification( $comment_id = 0, $commenter_id = 0, $params = array() ) {
@@ -230,5 +232,5 @@
 		 * @since BuddyPress (1.2.0)
 		 *
-		 * @param string $subject Email notification subject text.
+		 * @param string $subject     Email notification subject text.
 		 * @param string $poster_name Name of the person who made the comment.
 		 */
@@ -240,8 +242,8 @@
 		 * @since BuddyPress (1.2.0)
 		 *
-		 * @param string $message Email notification message text.
-		 * @param string $poster_name Name of the person who made the comment.
-		 * @param string $content Content of the comment.
-		 * @param string $thread_link URL permalink for the activity thread.
+		 * @param string $message       Email notification message text.
+		 * @param string $poster_name   Name of the person who made the comment.
+		 * @param string $content       Content of the comment.
+		 * @param string $thread_link   URL permalink for the activity thread.
 		 * @param string $settings_link URL permalink for the user's notification settings area.
 		 */
@@ -255,10 +257,10 @@
 		 * @since BuddyPress (1.5.0)
 		 *
-		 * @param int    $user_id ID of the original activity item author.
-		 * @param string $subject Email notification subject text.
-		 * @param string $message Email notification message text.
-		 * @param int    $comment_id ID for the newly received comment.
+		 * @param int    $user_id      ID of the original activity item author.
+		 * @param string $subject      Email notification subject text.
+		 * @param string $message      Email notification message text.
+		 * @param int    $comment_id   ID for the newly received comment.
 		 * @param int    $commenter_id ID of the user who made the comment.
-		 * @param array  $params Arguments used with the original activity comment.
+		 * @param array  $params       Arguments used with the original activity comment.
 		 */
 		do_action( 'bp_activity_sent_reply_to_update_email', $original_activity->user_id, $subject, $message, $comment_id, $commenter_id, $params );
@@ -318,5 +320,5 @@
 		 * @since BuddyPress (1.2.0)
 		 *
-		 * @param string $subject Email notification subject text.
+		 * @param string $subject     Email notification subject text.
 		 * @param string $poster_name Name of the person who made the comment reply.
 		 */
@@ -328,9 +330,9 @@
 		 * @since BuddyPress (1.2.0)
 		 *
-		 * @param string $message Email notification message text.
-		 * @param string $poster_name Name of the person who made the comment reply.
-		 * @param string $content Content of the comment reply.
+		 * @param string $message       Email notification message text.
+		 * @param string $poster_name   Name of the person who made the comment reply.
+		 * @param string $content       Content of the comment reply.
 		 * @param string $settings_link URL permalink for the user's notification settings area.
-		 * @param string $thread_link URL permalink for the activity thread.
+		 * @param string $thread_link   URL permalink for the activity thread.
 		 */
 		$message = apply_filters( 'bp_activity_new_comment_notification_comment_author_message', $message, $poster_name, $content, $settings_link, $thread_link );
@@ -343,10 +345,10 @@
 		 * @since BuddyPress (1.5.0)
 		 *
-		 * @param int    $user_id ID of the parent activity item author.
-		 * @param string $subject Email notification subject text.
-		 * @param string $message Email notification message text.
-		 * @param int    $comment_id ID for the newly received comment.
+		 * @param int    $user_id      ID of the parent activity item author.
+		 * @param string $subject      Email notification subject text.
+		 * @param string $message      Email notification message text.
+		 * @param int    $comment_id   ID for the newly received comment.
 		 * @param int    $commenter_id ID of the user who made the comment.
-		 * @param array  $params Arguments used with the original activity comment.
+		 * @param array  $params       Arguments used with the original activity comment.
 		 */
 		do_action( 'bp_activity_sent_reply_to_reply_email', $parent_comment->user_id, $subject, $message, $comment_id, $commenter_id, $params );
@@ -358,5 +360,6 @@
  *
  * @since BuddyPress (1.9.0)
- * @param int $comment_id
+ *
+ * @param int   $comment_id
  * @param array $params
  */
@@ -380,9 +383,10 @@
  * @uses do_action() To call 'activity_format_notifications' hook.
  *
- * @param string $action The type of activity item. Just 'new_at_mention' for now.
- * @param int $item_id The activity ID.
- * @param int $secondary_item_id In the case of at-mentions, this is the mentioner's ID.
- * @param int $total_items The total number of notifications to format.
- * @param string $format 'string' to get a BuddyBar-compatible notification, 'array' otherwise.
+ * @param string $action            The type of activity item. Just 'new_at_mention' for now.
+ * @param int    $item_id           The activity ID.
+ * @param int    $secondary_item_id In the case of at-mentions, this is the mentioner's ID.
+ * @param int    $total_items       The total number of notifications to format.
+ * @param string $format            'string' to get a BuddyBar-compatible notification, 'array' otherwise.
+ *
  * @return string $return Formatted @mention notification.
  */
@@ -418,9 +422,9 @@
 		 * @since BuddyPress (1.5.0)
 		 *
-		 * @param string $string HTML anchor tag for the mention.
+		 * @param string $string          HTML anchor tag for the mention.
 		 * @param string $at_mention_link The permalink for the mention.
-		 * @param int    $total_items How many items being notified about.
-		 * @param int    $activity_id ID of the activity item being formatted.
-		 * @param int    $poster_user_id ID of the user posting the mention.
+		 * @param int    $total_items     How many items being notified about.
+		 * @param int    $activity_id     ID of the activity item being formatted.
+		 * @param int    $poster_user_id  ID of the user posting the mention.
 		 */
 		$return = apply_filters( 'bp_activity_' . $amount . '_at_mentions_notification', '<a href="' . esc_url( $at_mention_link ) . '" title="' . esc_attr( $at_mention_title ) . '">' . esc_html( $text ) . '</a>', $at_mention_link, (int) $total_items, $activity_id, $poster_user_id );
@@ -436,9 +440,9 @@
 		 * @since BuddyPress (1.5.0)
 		 *
-		 * @param array  $array Array holding the content and permalink for the mention notification.
+		 * @param array  $array           Array holding the content and permalink for the mention notification.
 		 * @param string $at_mention_link The permalink for the mention.
-		 * @param int    $total_items How many items being notified about.
-		 * @param int    $activity_id ID of the activity item being formatted.
-		 * @param int    $poster_user_id ID of the user posting the mention.
+		 * @param int    $total_items     How many items being notified about.
+		 * @param int    $activity_id     ID of the activity item being formatted.
+		 * @param int    $poster_user_id  ID of the user posting the mention.
 		 */
 		$return = apply_filters( 'bp_activity_' . $amount . '_at_mentions_notification', array(
@@ -453,8 +457,8 @@
 	 * @since BuddyPress (1.2.0)
 	 *
-	 * @param string $action The type of activity item.
-	 * @param int    $item_id The activity ID.
+	 * @param string $action            The type of activity item.
+	 * @param int    $item_id           The activity ID.
 	 * @param int    $secondary_item_id @mention mentioner ID.
-	 * @param int    $total_items Total amount of items to format.
+	 * @param int    $total_items       Total amount of items to format.
 	 */
 	do_action( 'activity_format_notifications', $action, $item_id, $secondary_item_id, $total_items );
@@ -473,9 +477,9 @@
  * @since BuddyPress (1.9.0)
  *
- * @param obj $activity
+ * @param object $activity
  * @param string $subject (not used)
  * @param string $message (not used)
  * @param string $content (not used)
- * @param int $receiver_user_id
+ * @param int    $receiver_user_id
  */
 function bp_activity_at_mention_add_notification( $activity, $subject, $message, $content, $receiver_user_id ) {
@@ -519,4 +523,6 @@
  *
  * @since BuddyPress (2.0.0)
+ *
+ * @param object BP_Activity_Activity
  */
 function bp_activity_remove_screen_notifications_single_activity_permalink( $activity ) {