Index: trunk/src/bp-notifications/bp-notifications-functions.php
===================================================================
--- trunk/src/bp-notifications/bp-notifications-functions.php	(revision 9992)
+++ trunk/src/bp-notifications/bp-notifications-functions.php	(revision 9993)
@@ -20,13 +20,13 @@
  * @param array $args {
  *     Array of arguments describing the notification. All are optional.
- *     @type int $user_id ID of the user to associate the notification with.
- *     @type int $item_id ID of the item to associate the notification with.
- *     @type int $secondary_item_id ID of the secondary item to associate the
- *           notification with.
- *     @type string $component_name Name of the component to associate the
- *           notification with.
- *     @type string $component_action Name of the action to associate the
- *           notification with.
- *     @type string $date_notified Timestamp for the notification.
+ *     @type int    $user_id           ID of the user to associate the notification with.
+ *     @type int    $item_id           ID of the item to associate the notification with.
+ *     @type int    $secondary_item_id ID of the secondary item to associate the
+ *                                     notification with.
+ *     @type string $component_name    Name of the component to associate the
+ *                                     notification with.
+ *     @type string $component_action  Name of the action to associate the
+ *                                     notification with.
+ *     @type string $date_notified     Timestamp for the notification.
  * }
  * @return int|bool ID of the newly created notification on success, false
@@ -84,4 +84,5 @@
  *
  * @param int $id ID of the notification.
+ *
  * @return BP_Notifications_Notification
  */
@@ -96,4 +97,5 @@
  *
  * @param int $id ID of the notification to delete.
+ *
  * @return bool True on success, false on failure.
  */
@@ -113,6 +115,7 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $id ID of the user whose notifications are being deleted.
- * @param int $is_new 0 for read, 1 for unread.
+ * @param int      $id     ID of the user whose notifications are being deleted.
+ * @param int|bool $is_new 0 for read, 1 for unread.
+ *
  * @return bool True on success, false on failure.
  */
@@ -134,4 +137,5 @@
  *
  * @param int $user_id ID of the user whose notifications are being fetched.
+ *
  * @return array
  */
@@ -168,7 +172,8 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose notifications are being fetched.
- * @param string $format Format of the returned values. 'string' returns HTML,
- *        while 'object' returns a structured object for parsing.
+ * @param int    $user_id ID of the user whose notifications are being fetched.
+ * @param string $format  Format of the returned values. 'string' returns HTML,
+ *                        while 'object' returns a structured object for parsing.
+ *
  * @return mixed Object or array on success, false on failure.
  */
@@ -313,5 +318,5 @@
 	 * @since BuddyPress (1.6.0)
 	 *
-	 * @param Array|Bool $renderable Array of notifications to render or false if no notifications.
+	 * @param array|bool $renderable Array of notifications to render or false if no notifications.
 	 * @param int        $user_id    ID of the user whose notifications are being displayed.
 	 * @param string     $format     Display format requested for the notifications.
@@ -330,7 +335,8 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose notifications are being deleted.
- * @param string $component_name Name of the associated component.
+ * @param int    $user_id          ID of the user whose notifications are being deleted.
+ * @param string $component_name   Name of the associated component.
  * @param string $component_action Name of the associated action.
+ *
  * @return bool True on success, false on failure.
  */
@@ -351,9 +357,10 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose notifications are being deleted.
- * @param int $item_id ID of the associated item.
- * @param string $component_name Name of the associated component.
- * @param string $component_action Name of the associated action.
- * @param int $secondary_item_id ID of the secondary associated item.
+ * @param int      $user_id           ID of the user whose notifications are being deleted.
+ * @param int      $item_id           ID of the associated item.
+ * @param string   $component_name    Name of the associated component.
+ * @param string   $component_action  Name of the associated action.
+ * @param int|bool $secondary_item_id ID of the secondary associated item.
+ *
  * @return bool True on success, false on failure.
  */
@@ -375,8 +382,9 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $item_id ID of the user whose notifications are being deleted.
- * @param string $component_name Name of the associated component.
- * @param string $component_action Optional. Name of the associated action.
- * @param int $secondary_item_id Optional. ID of the secondary associated item.
+ * @param int         $item_id           ID of the user whose notifications are being deleted.
+ * @param string      $component_name    Name of the associated component.
+ * @param string|bool $component_action  Optional. Name of the associated action.
+ * @param int|bool    $secondary_item_id Optional. ID of the secondary associated item.
+ *
  * @return bool True on success, false on failure.
  */
@@ -401,7 +409,8 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose associated items are being deleted.
- * @param string $component_name Name of the associated component.
+ * @param int    $user_id          ID of the user whose associated items are being deleted.
+ * @param string $component_name   Name of the associated component.
  * @param string $component_action Name of the associated action.
+ *
  * @return bool True on success, false on failure.
  */
@@ -424,8 +433,9 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose notifications are being deleted.
- * @param string $component_name Name of the associated component.
- * @param string $component_action Name of the associated action.
- * @param int $is_new 0 for read, 1 for unread.
+ * @param int      $user_id          ID of the user whose notifications are being deleted.
+ * @param string   $component_name   Name of the associated component.
+ * @param string   $component_action Name of the associated action.
+ * @param int|bool $is_new           0 for read, 1 for unread.
+ *
  * @return bool True on success, false on failure.
  */
@@ -451,10 +461,11 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose notifications are being deleted.
- * @param int $item_id ID of the associated item.
- * @param string $component_name Name of the associated component.
- * @param string $component_action Name of the associated action.
- * @param int $secondary_item_id ID of the secondary associated item.
- * @param int $is_new 0 for read, 1 for unread.
+ * @param int      $user_id           ID of the user whose notifications are being deleted.
+ * @param int      $item_id           ID of the associated item.
+ * @param string   $component_name    Name of the associated component.
+ * @param string   $component_action  Name of the associated action.
+ * @param int|bool $secondary_item_id ID of the secondary associated item.
+ * @param int|bool $is_new            0 for read, 1 for unread.
+ *
  * @return bool True on success, false on failure.
  */
@@ -481,10 +492,10 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose notifications are being deleted.
- * @param int $is_new 0 for read, 1 for unread
- * @param string $component_name Name of the associated component.
- * @param string $component_action Optional. Name of the associated action.
- * @param int $secondary_item_id Optional. ID of the secondary associated item.
- * @param int $is_new 0 for read, 1 for unread.
+ * @param int         $item_id           ID of the user whose notifications are being deleted.
+ * @param string      $component_name    Name of the associated component.
+ * @param string|bool $component_action  Optional. Name of the associated action.
+ * @param int|bool    $secondary_item_id Optional. ID of the secondary associated item.
+ * @param int|bool    $is_new            0 for read, 1 for unread.
+ *
  * @return bool True on success, false on failure.
  */
@@ -514,9 +525,9 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user whose associated items are being deleted.
- * @param int $is_new 0 for read, 1 for unread
- * @param string $component_name Name of the associated component.
- * @param string $component_action Name of the associated action.
- * @param int $is_new 0 for read, 1 for unread.
+ * @param int      $user_id          ID of the user whose associated items are being deleted.
+ * @param string   $component_name   Name of the associated component.
+ * @param string   $component_action Name of the associated action.
+ * @param int|bool $is_new           0 for read, 1 for unread.
+ *
  * @return bool True on success, false on failure.
  */
@@ -543,6 +554,7 @@
  * @since BuddyPress (1.9.0)
  *
- * @param int $user_id ID of the user being checked.
+ * @param int $user_id         ID of the user being checked.
  * @param int $notification_id ID of the notification being checked.
+ *
  * @return bool True if the notification belongs to the user, otherwise false.
  */
@@ -557,5 +569,6 @@
  *
  * @param int $user_id ID of the user whose unread notifications are being
- *        counted.
+ *                     counted.
+ *
  * @return int Unread notification count.
  */