Index: trunk/src/bp-friends/bp-friends-notifications.php
===================================================================
--- trunk/src/bp-friends/bp-friends-notifications.php	(revision 10147)
+++ trunk/src/bp-friends/bp-friends-notifications.php	(revision 10323)
@@ -24,5 +24,4 @@
  * @param int $initiator_id  ID of the user who initiated the request.
  * @param int $friend_id     ID of the request recipient.
- *
  * @return bool
  */
@@ -40,5 +39,5 @@
 	$initiator_link    = bp_core_get_user_domain( $initiator_id );
 
-	// Set up and send the message
+	// Set up and send the message.
 	$to       = $ud->user_email;
 	$subject  = bp_get_email_subject( array( 'text' => sprintf( __( 'New friendship request from %s', 'buddypress' ), $initiator_name ) ) );
@@ -53,5 +52,5 @@
 ', 'buddypress' ), $initiator_name, $all_requests_link, $initiator_name, $initiator_link );
 
-	// Only show the disable notifications line if the settings component is enabled
+	// Only show the disable notifications line if the settings component is enabled.
 	if ( bp_is_active( 'settings' ) ) {
 		$message .= sprintf( __( 'To disable these notifications please log in and go to: %s', 'buddypress' ), $settings_link );
@@ -116,5 +115,4 @@
  * @param int $initiator_id  ID of the user who initiated the request.
  * @param int $friend_id     ID of the request recipient.
- *
  * @return bool
  */
@@ -131,5 +129,5 @@
 	$settings_link = trailingslashit( bp_core_get_user_domain( $initiator_id ) . $settings_slug . '/notifications' );
 
-	// Set up and send the message
+	// Set up and send the message.
 	$to       = $ud->user_email;
 	$subject  = bp_get_email_subject( array( 'text' => sprintf( __( '%s accepted your friendship request', 'buddypress' ), $friend_name ) ) );
@@ -142,5 +140,5 @@
 ', 'buddypress' ), $friend_name, $friend_name, $friend_link );
 
-	// Only show the disable notifications line if the settings component is enabled
+	// Only show the disable notifications line if the settings component is enabled.
 	if ( bp_is_active( 'settings' ) ) {
 		$message .= sprintf( __( 'To disable these notifications please log in and go to: %s', 'buddypress' ), $settings_link );
@@ -207,5 +205,4 @@
  * @param string $format            'string' for BuddyBar-compatible notifications;
  *                                  'array' for WP Toolbar. Default: 'string'.
- *
  * @return array|string
  */
@@ -219,5 +216,5 @@
 			$action = 'accepted';
 
-			// Set up the string and the filter
+			// Set up the string and the filter.
 			if ( (int) $total_items > 1 ) {
 				$text = sprintf( __( '%d friends accepted your friendship requests', 'buddypress' ), (int) $total_items );
@@ -235,5 +232,5 @@
 			$action = 'request';
 
-			// Set up the string and the filter
+			// Set up the string and the filter.
 			if ( (int) $total_items > 1 ) {
 				$text = sprintf( __( 'You have %d pending friendship requests', 'buddypress' ), (int) $total_items );
@@ -247,5 +244,5 @@
 	}
 
-	// Return either an HTML link or an array, depending on the requested format
+	// Return either an HTML link or an array, depending on the requested format.
 	if ( 'string' == $format ) {
 
@@ -332,4 +329,5 @@
  *
  * @since 1.9.0
+ *
  * @param int $friendship_id     The unique ID of the friendship.
  * @param int $initiator_user_id The friendship initiator user ID.
@@ -356,6 +354,6 @@
  * @since 1.9.0
  *
- * @param int    $friendship_id (not used)
- * @param object $friendship
+ * @param int    $friendship_id Friendship ID (not used).
+ * @param object $friendship    Friendship object.
  */
 function bp_friends_mark_friendship_rejected_notifications_by_item_id( $friendship_id, $friendship ) {
@@ -377,13 +375,13 @@
 function bp_friends_add_friendship_accepted_notification( $friendship_id, $initiator_user_id, $friend_user_id ) {
 
-	// Bail if notifications is not active
+	// Bail if notifications is not active.
 	if ( ! bp_is_active( 'notifications' ) ) {
 		return;
 	}
 
-	// Remove the friend request notice
+	// Remove the friend request notice.
 	bp_notifications_mark_notifications_by_item_id( $friend_user_id, $initiator_user_id, buddypress()->friends->id, 'friendship_request' );
 
-	// Add a friend accepted notice for the initiating user
+	// Add a friend accepted notice for the initiating user.
 	bp_notifications_add_notification(  array(
 		'user_id'           => $initiator_user_id,
@@ -403,6 +401,6 @@
  * @since 1.9.0
  *
- * @param int    $friendship_id (not used)
- * @param object $friendship
+ * @param int    $friendship_id Friendship ID (not used).
+ * @param object $friendship    Friendship Object.
  */
 function bp_friends_mark_friendship_withdrawn_notifications_by_item_id( $friendship_id, $friendship ) {
@@ -418,5 +416,5 @@
  * @since 1.9.0
  *
- * @param int $user_id
+ * @param int $user_id ID of the user whose notifications are removed.
  */
 function bp_friends_remove_notifications_data( $user_id = 0 ) {