Index: /trunk/src/bp-templates/bp-legacy/css/twentytwelve-rtl.css
===================================================================
--- /trunk/src/bp-templates/bp-legacy/css/twentytwelve-rtl.css	(revision 10442)
+++ /trunk/src/bp-templates/bp-legacy/css/twentytwelve-rtl.css	(revision 10443)
@@ -91,4 +91,8 @@
 }
 
+#buddypress div.item-list-tabs ul li a:visited {
+	color: #21759b;
+}
+
 #buddypress div.item-list-tabs ul li a span {
 	border-radius: 25%;
@@ -358,4 +362,8 @@
 *-------------------------------------------------------------------------------
 */
+#buddypress ul.item-list {
+	border-top: 0;
+}
+
 #buddypress ul.item-list li {
 	overflow: hidden !important;
@@ -421,6 +429,6 @@
 
 #buddypress ul.item-list li .item .item-title {
-	font-size: 18px;
-	font-size: 1.2857142857rem;
+	font-size: 16px;
+	font-size: 1.1428571429rem;
 	line-height: 1.2;
 	text-align: center;
@@ -436,4 +444,8 @@
 #buddypress ul.item-list li .item .item-title > a {
 	text-decoration: none;
+}
+
+#buddypress ul.item-list li .item .item-title > a:visited {
+	color: #21759b;
 }
 
@@ -466,6 +478,6 @@
 	}
 	#buddypress ul.item-list li .item .item-title {
-		font-size: 22px;
-		font-size: 1.5714285714rem;
+		font-size: 18px;
+		font-size: 1.2857142857rem;
 	}
 }
@@ -557,5 +569,5 @@
 	margin: 0;
 	min-height: 1.5em;
-	padding-right: 0.4em;
+	padding: 0 0.4em 0 0;
 }
 
@@ -566,4 +578,7 @@
 	#buddypress form#whats-new-form #whats-new-content.active #whats-new-options[style] #whats-new-submit {
 		float: left;
+	}
+	#buddypress form#whats-new-form #whats-new-content.active #whats-new-options[style] #whats-new-submit input {
+		padding: 0;
 	}
 }
@@ -610,4 +625,8 @@
 }
 
+#buddypress #activity-stream li .activity-header a:visited {
+	color: #21759b;
+}
+
 @media screen and (min-width: 46.25em) {
 	#buddypress #activity-stream li .activity-avatar {
@@ -646,5 +665,4 @@
 	font-size: 12px;
 	font-size: 0.8571428571rem;
-	padding: 2px 4px;
 }
 
@@ -695,8 +713,4 @@
 }
 
-#buddypress #activity-stream .load-more:focus a, #buddypress #activity-stream .load-more:hover a {
-	font-style: italic;
-}
-
 #buddypress #activity-stream .load-more a {
 	display: block;
@@ -740,10 +754,15 @@
 #buddypress #activity-stream .activity-comments > ul {
 	background: rgba(247, 247, 247, 0.6);
-	border-right: 1px solid #eaeaea;
-	margin: 2em 2px 0 0;
+	margin: 10px 2px 0 0;
 }
 
 #buddypress #activity-stream .activity-comments > ul > li:hover * {
 	color: #555;
+}
+
+#buddypress #activity-stream .activity-comments > ul > li .acomment-meta,
+#buddypress #activity-stream .activity-comments > ul > li .acomment-content {
+	font-size: 12px;
+	font-size: 0.8571428571rem;
 }
 
@@ -849,4 +868,8 @@
 *-------------------------------------------------------------------------------
 */
+.bp-user #buddypress a:visited {
+	color: #21759b;
+}
+
 /**
 *-----------------------------------------------------------
@@ -864,11 +887,4 @@
 .single-item.groups #buddypress #item-header-content #item-meta p {
 	margin-bottom: 0.5em;
-}
-
-@media screen and (max-width: 46.25em) {
-	.bp-user main header.entry-header,
-	.single-item.groups main header.entry-header {
-		padding-bottom: 1rem;
-	}
 }
 
@@ -883,23 +899,30 @@
 
 @media screen and (max-width: 46.25em) {
+	.bp-user main header.entry-header,
+	.single-item.groups main header.entry-header {
+		padding-bottom: 1rem;
+	}
+}
+
+@media screen and (max-width: 37.5em) {
+	.bp-user #buddypress h1,
+	.single-item.groups #buddypress h1 {
+		margin-bottom: 0;
+	}
+	.bp-user #buddypress #item-header-avatar img.avatar,
+	.single-item.groups #buddypress #item-header-avatar img.avatar {
+		margin-left: 0;
+	}
+	.bp-user #buddypress #item-header-content,
+	.single-item.groups #buddypress #item-header-content {
+		width: 100%;
+	}
+}
+
+@media screen and (max-width: 46.25em) {
 	.bp-user #buddypress #item-header .generic-button,
 	.single-item.groups #buddypress #item-header .generic-button {
 		float: none;
 		margin: 1.5em 0 0 0;
-	}
-}
-
-@media screen and (max-width: 37.5em) {
-	.bp-user #buddypress h1,
-	.single-item.groups #buddypress h1 {
-		margin-bottom: 0;
-	}
-	.bp-user #buddypress #item-header-avatar img.avatar,
-	.single-item.groups #buddypress #item-header-avatar img.avatar {
-		margin-left: 0;
-	}
-	.bp-user #buddypress #item-header-content,
-	.single-item.groups #buddypress #item-header-content {
-		width: 100%;
 	}
 }
@@ -983,4 +1006,9 @@
 }
 
+.single-item.groups #buddypress div#item-header div#item-actions #group-admins li,
+.single-item.groups #buddypress div#item-header div#item-actions #group-mods li {
+	margin: 0;
+}
+
 @media screen and (min-width: 46.25em) {
 	.single-item.groups #buddypress div#item-header #item-header-avatar,
@@ -995,4 +1023,18 @@
 		float: left;
 		width: 28%;
+	}
+}
+
+@media screen and (max-width: 64em) {
+	.single-item.groups #buddypress #cover-image-container #item-header-cover-image #item-actions {
+		border: 0;
+		clear: both;
+		margin-top: 0 !important;
+		max-width: 100% !important;
+		padding-top: 0 !important;
+		width: auto;
+	}
+	.single-item.groups #buddypress #cover-image-container #item-header-cover-image #item-actions h3 {
+		border-bottom: 1px solid #eaeaea;
 	}
 }
@@ -1216,5 +1258,5 @@
 	.bp-user #buddypress .notifications-options-nav,
 	.bp-user #buddypress .messages-options-nav {
-		width: 50%;
+		width: 40%;
 	}
 }
@@ -1234,14 +1276,28 @@
 	float: right;
 	margin-left: 0;
-	width: 60%;
+	width: 49%;
+}
+
+@media screen and (min-width: 37.5em) {
+	.bp-user #buddypress .notifications-options-nav select,
+	.bp-user #buddypress .messages-options-nav select {
+		width: auto;
+	}
 }
 
 .bp-user #buddypress .notifications-options-nav input,
 .bp-user #buddypress .messages-options-nav input {
-	float: left;
+	float: right;
 	font-family: inherit;
 	line-height: 20px;
 	margin-right: 1%;
-	width: 39%;
+	width: 50%;
+}
+
+@media screen and (min-width: 37.5em) {
+	.bp-user #buddypress .notifications-options-nav input,
+	.bp-user #buddypress .messages-options-nav input {
+		width: auto;
+	}
 }
 
@@ -1305,4 +1361,8 @@
 }
 
+.bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-toggle {
+	margin: 5px 0 24px;
+}
+
 .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-toggle,
 .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings {
@@ -1313,7 +1373,20 @@
 .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-close,
 .bp-user #buddypress .profile #profile-edit-form .visibility-toggle-link {
-	background: #555;
+	background: #6f6f6f;
+	-webkit-border-radius: 2px;
+	-moz-border-radius: 2px;
+	-ms-border-radius: 2px;
+	border-radius: 2px;
+	background-clip: padding-box;
+	color: #eee;
+	font-weight: bold;
+	padding: 0.1em 0.5em;
+	text-decoration: none;
+}
+
+.bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-close:focus, .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-close:hover,
+.bp-user #buddypress .profile #profile-edit-form .visibility-toggle-link:focus,
+.bp-user #buddypress .profile #profile-edit-form .visibility-toggle-link:hover {
 	color: #fff;
-	padding: 0.2em 0.5em;
 }
 
@@ -1505,6 +1578,5 @@
 
 .bp-user #buddypress #message-threads tr.unread td {
-	background: rgba(157, 195, 200, 0.4);
-	border-color: #d4d0ba;
+	border-color: #eaeaea;
 }
 
@@ -1701,12 +1773,4 @@
 	float: right;
 	width: 70%;
-}
-
-#buddypress div.dir-search form input[type='text'],
-#buddypress div.message-search form input[type='text'],
-#buddypress li.groups-members-search form input[type='text'] {
-	float: right;
-	margin: 0;
-	width: 100%;
 }
 
@@ -1720,5 +1784,7 @@
 	font-size: 1rem;
 	border: 0;
-	line-height: inherit;
+	border-radius: 0;
+	line-height: 1.8;
+	min-height: 2rem;
 }
 
@@ -1727,5 +1793,8 @@
 #buddypress li.groups-members-search form input[type='text'] {
 	border-left: 1px solid rgba(212, 208, 186, 0.6);
-	padding: 0.2em 0.2em 0.2em 0;
+	float: right;
+	margin: 0;
+	padding: 0 0.2em 0;
+	width: 100%;
 }
 
@@ -1735,5 +1804,5 @@
 	float: left;
 	font-weight: normal;
-	padding: 0.2em 1em;
+	padding: 0 1em;
 	text-align: center;
 	text-transform: none;
Index: /trunk/src/bp-templates/bp-legacy/css/twentytwelve.css
===================================================================
--- /trunk/src/bp-templates/bp-legacy/css/twentytwelve.css	(revision 10442)
+++ /trunk/src/bp-templates/bp-legacy/css/twentytwelve.css	(revision 10443)
@@ -91,4 +91,8 @@
 }
 
+#buddypress div.item-list-tabs ul li a:visited {
+	color: #21759b;
+}
+
 #buddypress div.item-list-tabs ul li a span {
 	border-radius: 25%;
@@ -358,4 +362,8 @@
 *-------------------------------------------------------------------------------
 */
+#buddypress ul.item-list {
+	border-top: 0;
+}
+
 #buddypress ul.item-list li {
 	overflow: hidden !important;
@@ -421,6 +429,6 @@
 
 #buddypress ul.item-list li .item .item-title {
-	font-size: 18px;
-	font-size: 1.2857142857rem;
+	font-size: 16px;
+	font-size: 1.1428571429rem;
 	line-height: 1.2;
 	text-align: center;
@@ -436,4 +444,8 @@
 #buddypress ul.item-list li .item .item-title > a {
 	text-decoration: none;
+}
+
+#buddypress ul.item-list li .item .item-title > a:visited {
+	color: #21759b;
 }
 
@@ -466,6 +478,6 @@
 	}
 	#buddypress ul.item-list li .item .item-title {
-		font-size: 22px;
-		font-size: 1.5714285714rem;
+		font-size: 18px;
+		font-size: 1.2857142857rem;
 	}
 }
@@ -557,5 +569,5 @@
 	margin: 0;
 	min-height: 1.5em;
-	padding-left: 0.4em;
+	padding: 0 0 0 0.4em;
 }
 
@@ -566,4 +578,7 @@
 	#buddypress form#whats-new-form #whats-new-content.active #whats-new-options[style] #whats-new-submit {
 		float: right;
+	}
+	#buddypress form#whats-new-form #whats-new-content.active #whats-new-options[style] #whats-new-submit input {
+		padding: 0;
 	}
 }
@@ -610,4 +625,8 @@
 }
 
+#buddypress #activity-stream li .activity-header a:visited {
+	color: #21759b;
+}
+
 @media screen and (min-width: 46.25em) {
 	#buddypress #activity-stream li .activity-avatar {
@@ -646,5 +665,4 @@
 	font-size: 12px;
 	font-size: 0.8571428571rem;
-	padding: 2px 4px;
 }
 
@@ -695,8 +713,4 @@
 }
 
-#buddypress #activity-stream .load-more:focus a, #buddypress #activity-stream .load-more:hover a {
-	font-style: italic;
-}
-
 #buddypress #activity-stream .load-more a {
 	display: block;
@@ -740,10 +754,15 @@
 #buddypress #activity-stream .activity-comments > ul {
 	background: rgba(247, 247, 247, 0.6);
-	border-left: 1px solid #eaeaea;
-	margin: 2em 0 0 2px;
+	margin: 10px 0 0 2px;
 }
 
 #buddypress #activity-stream .activity-comments > ul > li:hover * {
 	color: #555;
+}
+
+#buddypress #activity-stream .activity-comments > ul > li .acomment-meta,
+#buddypress #activity-stream .activity-comments > ul > li .acomment-content {
+	font-size: 12px;
+	font-size: 0.8571428571rem;
 }
 
@@ -849,4 +868,8 @@
 *-------------------------------------------------------------------------------
 */
+.bp-user #buddypress a:visited {
+	color: #21759b;
+}
+
 /**
 *-----------------------------------------------------------
@@ -864,11 +887,4 @@
 .single-item.groups #buddypress #item-header-content #item-meta p {
 	margin-bottom: 0.5em;
-}
-
-@media screen and (max-width: 46.25em) {
-	.bp-user main header.entry-header,
-	.single-item.groups main header.entry-header {
-		padding-bottom: 1rem;
-	}
 }
 
@@ -883,23 +899,30 @@
 
 @media screen and (max-width: 46.25em) {
+	.bp-user main header.entry-header,
+	.single-item.groups main header.entry-header {
+		padding-bottom: 1rem;
+	}
+}
+
+@media screen and (max-width: 37.5em) {
+	.bp-user #buddypress h1,
+	.single-item.groups #buddypress h1 {
+		margin-bottom: 0;
+	}
+	.bp-user #buddypress #item-header-avatar img.avatar,
+	.single-item.groups #buddypress #item-header-avatar img.avatar {
+		margin-right: 0;
+	}
+	.bp-user #buddypress #item-header-content,
+	.single-item.groups #buddypress #item-header-content {
+		width: 100%;
+	}
+}
+
+@media screen and (max-width: 46.25em) {
 	.bp-user #buddypress #item-header .generic-button,
 	.single-item.groups #buddypress #item-header .generic-button {
 		float: none;
 		margin: 1.5em 0 0 0;
-	}
-}
-
-@media screen and (max-width: 37.5em) {
-	.bp-user #buddypress h1,
-	.single-item.groups #buddypress h1 {
-		margin-bottom: 0;
-	}
-	.bp-user #buddypress #item-header-avatar img.avatar,
-	.single-item.groups #buddypress #item-header-avatar img.avatar {
-		margin-right: 0;
-	}
-	.bp-user #buddypress #item-header-content,
-	.single-item.groups #buddypress #item-header-content {
-		width: 100%;
 	}
 }
@@ -983,4 +1006,9 @@
 }
 
+.single-item.groups #buddypress div#item-header div#item-actions #group-admins li,
+.single-item.groups #buddypress div#item-header div#item-actions #group-mods li {
+	margin: 0;
+}
+
 @media screen and (min-width: 46.25em) {
 	.single-item.groups #buddypress div#item-header #item-header-avatar,
@@ -995,4 +1023,18 @@
 		float: right;
 		width: 28%;
+	}
+}
+
+@media screen and (max-width: 64em) {
+	.single-item.groups #buddypress #cover-image-container #item-header-cover-image #item-actions {
+		border: 0;
+		clear: both;
+		margin-top: 0 !important;
+		max-width: 100% !important;
+		padding-top: 0 !important;
+		width: auto;
+	}
+	.single-item.groups #buddypress #cover-image-container #item-header-cover-image #item-actions h3 {
+		border-bottom: 1px solid #eaeaea;
 	}
 }
@@ -1216,5 +1258,5 @@
 	.bp-user #buddypress .notifications-options-nav,
 	.bp-user #buddypress .messages-options-nav {
-		width: 50%;
+		width: 40%;
 	}
 }
@@ -1234,14 +1276,28 @@
 	float: left;
 	margin-right: 0;
-	width: 60%;
+	width: 49%;
+}
+
+@media screen and (min-width: 37.5em) {
+	.bp-user #buddypress .notifications-options-nav select,
+	.bp-user #buddypress .messages-options-nav select {
+		width: auto;
+	}
 }
 
 .bp-user #buddypress .notifications-options-nav input,
 .bp-user #buddypress .messages-options-nav input {
-	float: right;
+	float: left;
 	font-family: inherit;
 	line-height: 20px;
 	margin-left: 1%;
-	width: 39%;
+	width: 50%;
+}
+
+@media screen and (min-width: 37.5em) {
+	.bp-user #buddypress .notifications-options-nav input,
+	.bp-user #buddypress .messages-options-nav input {
+		width: auto;
+	}
 }
 
@@ -1305,4 +1361,8 @@
 }
 
+.bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-toggle {
+	margin: 5px 0 24px;
+}
+
 .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-toggle,
 .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings {
@@ -1313,7 +1373,20 @@
 .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-close,
 .bp-user #buddypress .profile #profile-edit-form .visibility-toggle-link {
-	background: #555;
+	background: #6f6f6f;
+	-webkit-border-radius: 2px;
+	-moz-border-radius: 2px;
+	-ms-border-radius: 2px;
+	border-radius: 2px;
+	background-clip: padding-box;
+	color: #eee;
+	font-weight: bold;
+	padding: 0.1em 0.5em;
+	text-decoration: none;
+}
+
+.bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-close:focus, .bp-user #buddypress .profile #profile-edit-form .field-visibility-settings-close:hover,
+.bp-user #buddypress .profile #profile-edit-form .visibility-toggle-link:focus,
+.bp-user #buddypress .profile #profile-edit-form .visibility-toggle-link:hover {
 	color: #fff;
-	padding: 0.2em 0.5em;
 }
 
@@ -1505,6 +1578,5 @@
 
 .bp-user #buddypress #message-threads tr.unread td {
-	background: rgba(157, 195, 200, 0.4);
-	border-color: #d4d0ba;
+	border-color: #eaeaea;
 }
 
@@ -1701,12 +1773,4 @@
 	float: left;
 	width: 70%;
-}
-
-#buddypress div.dir-search form input[type='text'],
-#buddypress div.message-search form input[type='text'],
-#buddypress li.groups-members-search form input[type='text'] {
-	float: left;
-	margin: 0;
-	width: 100%;
 }
 
@@ -1720,5 +1784,7 @@
 	font-size: 1rem;
 	border: 0;
-	line-height: inherit;
+	border-radius: 0;
+	line-height: 1.8;
+	min-height: 2rem;
 }
 
@@ -1727,5 +1793,8 @@
 #buddypress li.groups-members-search form input[type='text'] {
 	border-right: 1px solid rgba(212, 208, 186, 0.6);
-	padding: 0.2em 0 0.2em 0.2em;
+	float: left;
+	margin: 0;
+	padding: 0 0.2em 0;
+	width: 100%;
 }
 
@@ -1735,5 +1804,5 @@
 	float: right;
 	font-weight: normal;
-	padding: 0.2em 1em;
+	padding: 0 1em;
 	text-align: center;
 	text-transform: none;
Index: /trunk/src/bp-templates/bp-legacy/css/twentytwelve.scss
===================================================================
--- /trunk/src/bp-templates/bp-legacy/css/twentytwelve.scss	(revision 10442)
+++ /trunk/src/bp-templates/bp-legacy/css/twentytwelve.scss	(revision 10443)
@@ -291,7 +291,12 @@
 						color: #555;
 					}
+					// Keep links from inheriting :visited states
+					&:visited {
+						color: #21759b;
+					}
 
 					span {border-radius: 25%;}
 				}
+
 			}
 		}
@@ -438,8 +443,7 @@
 		div#subnav.item-list-tabs {
 			li.last {
-//				float: right;
 				margin-left: 0;
 				text-align: right;
-//				width: 230px;
+
 				@media screen and (max-width: 30em) {
 					clear: left;
@@ -638,4 +642,6 @@
 #buddypress {
 	ul.item-list {
+		border-top: 0;
+
 		li {
 			overflow: hidden !important;
@@ -692,5 +698,5 @@
 
 				.item-title {
-					@include font-size(18);
+					@include font-size(16);
 					line-height: 1.2;
 					text-align: center;
@@ -702,5 +708,9 @@
 					width: 100%;
 
-					> a {text-decoration: none;}
+					> a {
+						text-decoration: none;
+
+						&:visited { color: #21759b;}
+					}
 
 					.update {
@@ -715,7 +725,7 @@
 						text-align: left;
 					}
-				}
-
-			}
+				}  // close .item-title
+
+			} // close .item
 
 			@include medium-up {
@@ -733,5 +743,5 @@
 
 					.item-title {
-						@include font-size(22)
+						@include font-size(18)
 					}
 				}
@@ -746,6 +756,6 @@
 				margin-left: 0;
 				padding: $spacing-val-md 0 $spacing-val-xs;
+
 				// push the actions to the right
-
 				@include medium-up {
 					clear: none;
@@ -841,5 +851,5 @@
 						margin: 0;
 						min-height: 1.5em;
-						padding-left: 0.4em;
+						padding: 0 0 0 0.4em;
 					}
 				}
@@ -852,4 +862,8 @@
 					#whats-new-submit {
 						float: right;
+
+						input {
+							padding: 0;
+						}
 					}
 				}
@@ -908,4 +922,8 @@
 			.activity-header {
 				@include font-size(14);
+
+				a:visited {
+					color: #21759b;
+				}
 			}
 
@@ -916,5 +934,8 @@
 					margin-right: $spacing-val-sm;
 					text-align: left;
-					a {border-bottom: 0;}
+
+					a {
+						border-bottom: 0;
+					}
 				}
 
@@ -955,5 +976,4 @@
 					a {
 						@include font-size(12);
-						padding: 2px 4px;
 					}
 				}
@@ -1004,5 +1024,4 @@
 				background: darken($light-background, 1%);
 				border: 1px solid rgba(#9fd1e2, 0.3);
-				a { font-style: italic; }
 			}
 
@@ -1058,6 +1077,5 @@
 			> ul {
 				background: rgba($light-background, 0.6);
-				border-left: 1px solid $border-light;
-				margin: 2em 0 0 2px;
+				margin: $spacing-val-sm 0 0 2px;
 
 				> li {
@@ -1066,4 +1084,10 @@
 						color: #555;
 					}
+
+					.acomment-meta,
+					.acomment-content {
+						@include font-size(12);
+					}
+
 				}
 
@@ -1193,4 +1217,15 @@
 */
 
+.bp-user {
+	#buddypress {
+	// On object nav links, table links (notifications etc) we don't really need :visited
+	// inheritance, so set pseudo class to :link color.
+		a {
+			&:visited {
+				color: #21759b;
+			}
+		}
+	}
+}
 
 /**
@@ -1213,4 +1248,11 @@
 	}
 
+	@media screen and (max-width: 37.500em) {
+		h1,
+		#item-header-content {
+			text-align: center;
+		}
+	}
+
 	@media screen and (max-width: 46.25em) {
 		main {
@@ -1221,12 +1263,21 @@
 	}
 
-	@media screen and (max-width: 37.500em) {
-		h1,
-		#item-header-content {
-			text-align: center;
-		}
-	}
-
 	#buddypress {
+		@media screen and (max-width: 37.500em) {
+			h1 {
+				margin-bottom: 0;
+			}
+
+			#item-header-avatar {
+				img.avatar {
+					margin-right: 0;
+				}
+			}
+
+			#item-header-content {
+				width: 100%;
+			}
+		} // close @media
+
 		@media screen and (max-width: 46.25em) {
 			#item-header {
@@ -1237,21 +1288,6 @@
 			}
 		}
-
-		@media screen and (max-width: 37.500em) {
-			h1 {
-				margin-bottom: 0;
-			}
-
-			#item-header-avatar {
-				img.avatar {
-					margin-right: 0;
-				}
-			}
-
-			#item-header-content {
-				width: 100%;
-			}
-		}
-	}
+	} // close #buddypress
+
 }
 
@@ -1339,4 +1375,12 @@
 					padding: 0.2em;
 				}
+
+				#group-admins,
+				#group-mods {
+					li {
+						margin: 0;
+					}
+				}
+
 			} // close item-actions
 
@@ -1366,5 +1410,30 @@
 		} // close #item-header
 	} // close #buddypress
-} // close .groups
+
+	// These rules handle the specific instance of Cover Images on single groups
+	// activated & attempt to address positioning concerns arising from themes
+	// breakpoints.
+	// Due to cover image styles being applied via embedded styles & thus carrying
+	// heavier weight than linked styles the use !important to override may be required.
+	#buddypress {
+		#cover-image-container {
+			#item-header-cover-image {
+				@media screen and (max-width: 64em) {
+					#item-actions {
+						border: 0;
+						clear: both;
+						margin-top: 0 !important;
+						max-width: 100% !important;
+						padding-top: 0 !important;
+						width: auto;
+
+						h3 {border-bottom: 1px solid $border-light;}
+					}
+				}
+			}
+		}
+	}
+
+} // close .single-item.groups
 
 /**
@@ -1614,5 +1683,5 @@
 			width: 100%;
 			@media screen and (min-width: 37.500em) {
-				width: 50%;
+				width: 40%;
 			}
 
@@ -1627,13 +1696,21 @@
 				float: left;
 				margin-right: 0;
-				width: 60%;
+				width: 49%;
+
+				@media screen and (min-width: 37.500em) {
+					width: auto;
+				}
 			}
 
 			input {
-				float: right;
+				float: left;
 				font-family: inherit;
 				line-height: 20px;
 				margin-left: 1%;
-				width: 39%;
+				width: 50%;
+
+				@media screen and (min-width: 37.500em) {
+					width: auto;
+				}
 
 				&[disabled="disabled"]:focus,
@@ -1704,4 +1781,8 @@
 				} //.button-nav
 
+				.field-visibility-settings-toggle {
+					margin: $spacing-val-xs 0 $spacing-val-md;
+				}
+
 				.field-visibility-settings-toggle,
 				.field-visibility-settings {
@@ -1711,7 +1792,15 @@
 				.field-visibility-settings-close,
 				.visibility-toggle-link {
-					background: $dark-background;
-					color: #fff;
-					padding: 0.2em 0.5em;
+					background: lighten($dark-background, 10%);
+					@include border-radius(2px);
+					color: #eee;
+					font-weight: bold;
+					padding: 0.1em 0.5em;
+					text-decoration: none;
+
+					&:focus,
+					&:hover {
+						color: #fff;
+					}
 				}
 			} // close profile form
@@ -1919,6 +2008,5 @@
 			tr.unread {
 				td {
-					background: rgba($unread, 0.4);
-					border-color: $border-color;
+					border-color: $border-light;
 				}
 			}
@@ -2106,5 +2194,5 @@
 #buddypress {
 
-// Match BP form elements to Themes(2016) styling where styles
+// Match BP form elements to Themes(2012) styling where styles
 // are not inherited or being overriden.
 	div.activity-comments {
@@ -2156,5 +2244,5 @@
 
 		// Stylise the seach form elements, in part this deals with padding
-		// issues on the submit & sizing issues between bp styles & 2016
+		// issues on the submit & sizing issues between bp styles & 2012
 
 		form { // *sigh* only to bludgeon over specified rules
@@ -2165,10 +2253,4 @@
 				float: left;
 				width: 70%;
-			}
-
-			input[type='text'] {
-				float: left;
-				margin: 0;
-				width: 100%;
 			}
 
@@ -2177,10 +2259,15 @@
 				@include font-size(14);
 				border: 0;
-				line-height: inherit;
+				border-radius: 0;
+				line-height: 1.8;
+				min-height: 2rem;
 			}
 
 			input[type='text'] {
 				border-right: 1px solid rgba($border-color, 0.6);
-				padding: 0.2em 0 0.2em 0.2em;
+				float: left;
+				margin: 0;
+				padding: 0 0.2em 0;
+				width: 100%;
 			}
 
@@ -2188,5 +2275,5 @@
 				float: right;
 				font-weight: normal;
-				padding: 0.2em 1em;
+				padding: 0 1em;
 				text-align: center;
 				text-transform: none;