Index: /trunk/src/bp-templates/bp-legacy/css/twentytwelve-rtl.css
===================================================================
--- /trunk/src/bp-templates/bp-legacy/css/twentytwelve-rtl.css	(revision 10506)
+++ /trunk/src/bp-templates/bp-legacy/css/twentytwelve-rtl.css	(revision 10507)
@@ -1393,9 +1393,4 @@
 	*-------------------------------------------
 	*/
-.bp-user #buddypress {
-	/* Compose message form */
-	/* Sitewide Notices loop */
-}
-
 .bp-user #buddypress #message-thread a {
 	border-bottom: 0;
@@ -1584,4 +1579,40 @@
 }
 
+.bp-user #buddypress .acfb-holder {
+	list-style: none;
+}
+
+.bp-user #buddypress .acfb-holder li {
+	margin-right: 0;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab {
+	background: #edf7fa;
+	border: inherit;
+	margin-left: 0;
+	padding: 0.5em;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab span.p {
+	padding-right: 10px;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab span.p:focus, .bp-user #buddypress .acfb-holder li.friend-tab span.p:hover {
+	color: #c82b2b;
+	cursor: pointer;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab a {
+	border-bottom: 0;
+	text-decoration: none;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab a img {
+	display: inline;
+	height: 20px;
+	vertical-align: middle;
+	width: 20px !important;
+}
+
 .bp-user #buddypress #message-threads.sitewide-notices tr {
 	margin: 3em 0;
@@ -1643,4 +1674,21 @@
 	line-height: initial;
 	text-indent: 0;
+}
+
+.bp-user .ac_results {
+	background: #eee;
+	padding-right: 10px;
+}
+
+.bp-user .ac_results li {
+	margin: 10px 0;
+}
+
+.bp-user .ac_results li:focus, .bp-user .ac_results li:hover {
+	cursor: pointer;
+}
+
+.bp-user .ac_results li img {
+	vertical-align: bottom;
 }
 
@@ -1938,6 +1986,2 @@
 *-------------------------------------------------------------------------------
 */
-#buddypress .acfb-holder li.friend-tab {
-	background: #9fd1e2;
-	border: inherit;
-}
Index: /trunk/src/bp-templates/bp-legacy/css/twentytwelve.css
===================================================================
--- /trunk/src/bp-templates/bp-legacy/css/twentytwelve.css	(revision 10506)
+++ /trunk/src/bp-templates/bp-legacy/css/twentytwelve.css	(revision 10507)
@@ -1393,9 +1393,4 @@
 	*-------------------------------------------
 	*/
-.bp-user #buddypress {
-	/* Compose message form */
-	/* Sitewide Notices loop */
-}
-
 .bp-user #buddypress #message-thread a {
 	border-bottom: 0;
@@ -1584,4 +1579,40 @@
 }
 
+.bp-user #buddypress .acfb-holder {
+	list-style: none;
+}
+
+.bp-user #buddypress .acfb-holder li {
+	margin-left: 0;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab {
+	background: #edf7fa;
+	border: inherit;
+	margin-right: 0;
+	padding: 0.5em;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab span.p {
+	padding-left: 10px;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab span.p:focus, .bp-user #buddypress .acfb-holder li.friend-tab span.p:hover {
+	color: #c82b2b;
+	cursor: pointer;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab a {
+	border-bottom: 0;
+	text-decoration: none;
+}
+
+.bp-user #buddypress .acfb-holder li.friend-tab a img {
+	display: inline;
+	height: 20px;
+	vertical-align: middle;
+	width: 20px !important;
+}
+
 .bp-user #buddypress #message-threads.sitewide-notices tr {
 	margin: 3em 0;
@@ -1643,4 +1674,21 @@
 	line-height: initial;
 	text-indent: 0;
+}
+
+.bp-user .ac_results {
+	background: #eee;
+	padding-left: 10px;
+}
+
+.bp-user .ac_results li {
+	margin: 10px 0;
+}
+
+.bp-user .ac_results li:focus, .bp-user .ac_results li:hover {
+	cursor: pointer;
+}
+
+.bp-user .ac_results li img {
+	vertical-align: bottom;
 }
 
@@ -1938,6 +1986,2 @@
 *-------------------------------------------------------------------------------
 */
-#buddypress .acfb-holder li.friend-tab {
-	background: #9fd1e2;
-	border: inherit;
-}
Index: /trunk/src/bp-templates/bp-legacy/css/twentytwelve.scss
===================================================================
--- /trunk/src/bp-templates/bp-legacy/css/twentytwelve.scss	(revision 10506)
+++ /trunk/src/bp-templates/bp-legacy/css/twentytwelve.scss	(revision 10507)
@@ -174,5 +174,5 @@
 $stripe-even:        #dbe5ff;
 $unread:             #9dc3c8;
-
+$link-action:         #c82b2b;
 /*--------------------------------------------------------------
 
@@ -2013,5 +2013,4 @@
 		}
 
-		/* Compose message form */
 		#send_message_form {
 			input,
@@ -2021,5 +2020,42 @@
 		}
 
-		/* Sitewide Notices loop */
+		.acfb-holder {
+			list-style: none;
+
+			li {margin-left: 0;}
+
+			li.friend-tab {
+				background: lighten($notice-info, 20%);
+				border: inherit;
+				margin-right: 0;
+				padding: 0.5em;
+
+				span.p {
+					// the 'X' close
+					padding-left: $spacing-val-sm;
+
+					&:focus,
+					&:hover {
+						color: $link-action;
+						cursor: pointer;
+					}
+				}
+
+				a {
+					border-bottom: 0;
+					text-decoration: none;
+
+					img {
+						// this is the tiny user avatar
+						display: inline;
+						height: 20px;
+						vertical-align: middle;
+						width: 20px !important; // override inline style
+
+					}
+				}
+			}
+		}
+
 		#message-threads.sitewide-notices {
 			tr {margin: 3em 0;}
@@ -2088,4 +2124,23 @@
 
 	} // #buddypress
+
+	// acfb auto complete name list sits in doc footer before body close
+	.ac_results {
+		background: #eee;
+		padding-left: $spacing-val-sm;
+
+		li {
+			margin: $spacing-val-sm 0;
+
+			&:focus,
+			&:hover {
+				cursor: pointer;
+			}
+
+			img { vertical-align: bottom;}
+
+		}
+	}
+
 } // close .bp-user
 
@@ -2432,13 +2487,2 @@
 *-------------------------------------------------------------------------------
 */
-
-#buddypress {
-
-	.acfb-holder {
-
-		li.friend-tab {
-			background: $notice-info;
-			border: inherit;
-		}
-	}
-}